-- =============================================
-- Author:		FID.Ridwan
-- Create date: 2019-04-30
-- Description:	
-- =============================================
CREATE PROCEDURE [dbo].[SP_CED030100B_GetDailyOrderManifest]
AS
BEGIN
	SELECT [MANIFEST_NO]
		,ISNULL([ORDER_NO],'') [ORDER_NO]
		,isnull([SUPPLIER_CD],'') [SUPPLIER_CD]
		,isnull([SUPPLIER_PLANT_CD],'') [SUPPLIER_PLANT_CD]
		,isnull([ORDER_TYPE],'') [ORDER_TYPE]
		,ISNULL(CONVERT(VARCHAR, [ORDER_RELEASE_DT], 121), '') [ORDER_RELEASE_DT]
		,ISNULL([COMPANY_CD], '') [COMPANY_CD]
		,isnull([RCV_PLANT_CD],'') [RCV_PLANT_CD]
		,isnull([DOCK_CD],'') [DOCK_CD]
		,CONVERT(VARCHAR,[TOTAL_ITEM])[TOTAL_ITEM]
		,CONVERT(VARCHAR,[TOTAL_QTY])[TOTAL_QTY]
		,ISNULL(CONVERT(VARCHAR, [ERROR_QTY]), '') [ERROR_QTY]
		,ISNULL(CONVERT(VARCHAR, [ARRIVAL_PLAN_DT], 121), '') [ARRIVAL_PLAN_DT]
		,ISNULL(CONVERT(VARCHAR, [ARRIVAL_ACTUAL_DT], 121), '') [ARRIVAL_ACTUAL_DT]
		,ISNULL(CONVERT(VARCHAR, [DELAY_FLAG]), '') [DELAY_FLAG]
		--,ISNULL([MANIFEST_RECEIVING_FLAG], '') [MANIFEST_RECEIVING_FLAG]
		,'0' [MANIFEST_RECEIVING_FLAG]
		,ISNULL(P_LANE_CD,'')P_LANE_CD
		,ISNULL(P_LANE_SEQ,'')P_LANE_SEQ
		,ISNULL(CONVERT(VARCHAR,P_LANE_DT,121),'')P_LANE_DT
		,ISNULL(CONVERT(VARCHAR,[SYNC_FLAG]),'0') [SYNC_FLAG]
		,ISNULL(CONVERT(VARCHAR, [DEPARTURE_PLAN_DT], 121), '') [DEPARTURE_PLAN_DT]
	FROM [dbo].[TB_T_CED_DAILY_ORDER_MANIFEST]
END

